/*
 * This file is part of Cadmium.
 * Copyright (C) 2007-2009 Xavier Clerc.
 *
 * Cadmium is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Cadmium is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "fail.h"
#include "mlvalues.h"
#include "prims.h"


/********************* fr.x9c.cadmium.primitives.servlets ********************/

/* Primitives from Servlets */

PRIM2(cadmiumservlet_cookie_make)
PRIM1(cadmiumservlet_cookie_clone)
PRIM1(cadmiumservlet_cookie_get_comment)
PRIM1(cadmiumservlet_cookie_get_domain)
PRIM1(cadmiumservlet_cookie_get_max_age)
PRIM1(cadmiumservlet_cookie_get_name)
PRIM1(cadmiumservlet_cookie_get_path)
PRIM1(cadmiumservlet_cookie_get_secure)
PRIM1(cadmiumservlet_cookie_get_value)
PRIM1(cadmiumservlet_cookie_get_version)
PRIM2(cadmiumservlet_cookie_set_comment)
PRIM2(cadmiumservlet_cookie_set_domain)
PRIM2(cadmiumservlet_cookie_set_max_age)
PRIM2(cadmiumservlet_cookie_set_path)
PRIM2(cadmiumservlet_cookie_set_secure)
PRIM2(cadmiumservlet_cookie_set_value)
PRIM2(cadmiumservlet_cookie_set_version)

PRIM2(cadmiumservlet_context_get_attribute)
PRIM1(cadmiumservlet_context_get_attribute_names)
PRIM2(cadmiumservlet_context_get_context)
PRIM1(cadmiumservlet_context_get_context_path)
PRIM2(cadmiumservlet_context_get_init_parameter)
PRIM1(cadmiumservlet_context_get_init_parameter_names)
PRIM1(cadmiumservlet_context_get_major_version)
PRIM2(cadmiumservlet_context_get_mime_type)
PRIM1(cadmiumservlet_context_get_minor_version)
PRIM2(cadmiumservlet_context_get_real_path)
PRIM2(cadmiumservlet_context_get_resource_as_url)
PRIM2(cadmiumservlet_context_get_resource_as_stream)
PRIM2(cadmiumservlet_context_get_resource_paths)
PRIM1(cadmiumservlet_context_get_server_info)
PRIM1(cadmiumservlet_context_get_servlet_context_name)
PRIM2(cadmiumservlet_context_log)
PRIM3(cadmiumservlet_context_log_exn)
PRIM2(cadmiumservlet_context_remove_attribute)
PRIM3(cadmiumservlet_context_set_attribute)

PRIM2(cadmiumservlet_session_get_attribute)
PRIM1(cadmiumservlet_session_get_attribute_names)
PRIM1(cadmiumservlet_session_get_creation_time)
PRIM1(cadmiumservlet_session_get_id)
PRIM1(cadmiumservlet_session_get_last_accessed_time)
PRIM1(cadmiumservlet_session_get_max_inactive_interval)
PRIM1(cadmiumservlet_session_get_servlet_context)
PRIM1(cadmiumservlet_session_invalidate)
PRIM1(cadmiumservlet_session_is_new)
PRIM2(cadmiumservlet_session_remove_attribute)
PRIM3(cadmiumservlet_session_set_attribute)
PRIM2(cadmiumservlet_session_set_max_inactive_interval)

PRIM2(cadmiumservlet_request_get_attribute)
PRIM1(cadmiumservlet_request_get_attribute_names)
PRIM1(cadmiumservlet_request_get_auth_type)
PRIM1(cadmiumservlet_request_get_character_encoding)
PRIM1(cadmiumservlet_request_get_content_length)
PRIM1(cadmiumservlet_request_get_content_type)
PRIM1(cadmiumservlet_request_get_context_path)
PRIM1(cadmiumservlet_request_get_cookies)
PRIM2(cadmiumservlet_request_get_date_header)
PRIM2(cadmiumservlet_request_get_header)
PRIM1(cadmiumservlet_request_get_header_names)
PRIM2(cadmiumservlet_request_get_headers)
PRIM1(cadmiumservlet_request_get_input_stream)
PRIM2(cadmiumservlet_request_get_int_header)
PRIM1(cadmiumservlet_request_get_local_addr)
PRIM1(cadmiumservlet_request_get_locale)
PRIM1(cadmiumservlet_request_get_locales)
PRIM1(cadmiumservlet_request_get_local_name)
PRIM1(cadmiumservlet_request_get_local_port)
PRIM1(cadmiumservlet_request_get_method)
PRIM2(cadmiumservlet_request_get_parameter)
PRIM1(cadmiumservlet_request_get_parameter_list)
PRIM1(cadmiumservlet_request_get_parameter_names)
PRIM2(cadmiumservlet_request_get_parameter_values)
PRIM1(cadmiumservlet_request_get_path_info)
PRIM1(cadmiumservlet_request_get_path_translated)
PRIM1(cadmiumservlet_request_get_protocol)
PRIM1(cadmiumservlet_request_get_query_string)
PRIM1(cadmiumservlet_request_get_remote_addr)
PRIM1(cadmiumservlet_request_get_remote_host)
PRIM1(cadmiumservlet_request_get_remote_port)
PRIM1(cadmiumservlet_request_get_remote_user)
PRIM1(cadmiumservlet_request_get_requested_session_id)
PRIM1(cadmiumservlet_request_get_request_uri)
PRIM1(cadmiumservlet_request_get_request_url)
PRIM1(cadmiumservlet_request_get_scheme)
PRIM1(cadmiumservlet_request_get_server_name)
PRIM1(cadmiumservlet_request_get_server_port)
PRIM1(cadmiumservlet_request_get_servlet_path)
PRIM1(cadmiumservlet_request_get_session)
PRIM2(cadmiumservlet_request_get_session_creating)
PRIM1(cadmiumservlet_request_is_requested_session_id_from_cookie)
PRIM1(cadmiumservlet_request_is_requested_session_id_from_url)
PRIM1(cadmiumservlet_request_is_requested_session_id_valid)
PRIM1(cadmiumservlet_request_is_secure)
PRIM2(cadmiumservlet_request_is_user_in_role)
PRIM2(cadmiumservlet_request_remove_attribute)
PRIM3(cadmiumservlet_request_set_attribute)
PRIM2(cadmiumservlet_request_set_character_encoding)

PRIM2(cadmiumservlet_response_add_cookie)
PRIM3(cadmiumservlet_response_add_date_header)
PRIM3(cadmiumservlet_response_add_header)
PRIM3(cadmiumservlet_response_add_int_header)
PRIM2(cadmiumservlet_response_contains_header)
PRIM2(cadmiumservlet_response_encode_redirect_url)
PRIM2(cadmiumservlet_response_encode_url)
PRIM1(cadmiumservlet_response_flush_buffer)
PRIM1(cadmiumservlet_response_get_buffer_size)
PRIM1(cadmiumservlet_response_get_character_encoding)
PRIM1(cadmiumservlet_response_get_content_type)
PRIM1(cadmiumservlet_response_get_locale)
PRIM1(cadmiumservlet_response_get_output_stream)
PRIM1(cadmiumservlet_response_is_committed)
PRIM1(cadmiumservlet_response_reset)
PRIM1(cadmiumservlet_response_reset_buffer)
PRIM2(cadmiumservlet_response_send_error)
PRIM3(cadmiumservlet_response_send_error_msg)
PRIM2(cadmiumservlet_response_send_redirect)
PRIM2(cadmiumservlet_response_set_buffer_size)
PRIM2(cadmiumservlet_response_set_character_encoding)
PRIM2(cadmiumservlet_response_set_content_length)
PRIM2(cadmiumservlet_response_set_content_type)
PRIM3(cadmiumservlet_response_set_date_header)
PRIM3(cadmiumservlet_response_set_header)
PRIM3(cadmiumservlet_response_set_int_header)
PRIM2(cadmiumservlet_response_set_locale)
PRIM2(cadmiumservlet_response_set_status)

PRIM2(cadmiumservlet_servlet_get_init_parameter)
PRIM1(cadmiumservlet_servlet_get_init_parameter_names)
PRIM1(cadmiumservlet_servlet_get_servlet_context)
PRIM1(cadmiumservlet_servlet_get_servlet_name)
PRIM2(cadmiumservlet_servlet_log)
PRIM3(cadmiumservlet_servlet_log_exn)
