/*
 * This file is part of Cadmium.
 * Copyright (C) 2007-2009 Xavier Clerc.
 *
 * Cadmium is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Cadmium is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package fr.x9c.cadmium;

/**
 * This class defines some project-wide constants.
 *
 * @author <a href="mailto:cadmium@x9c.fr">Xavier Clerc</a>
 * @version 1.3
 * @since 1.3
 */
public final class Infos {

    /** Version number. */
    public static final String VERSION = "1.3";

    /** Author name. */
    public static final String AUTHOR = "Xavier Clerc";

    /** Copyright years. */
    public static final String YEARS = "2007-2009";

    /** Mail address. */
    public static final String MAIL = "cadmium@x9c.fr";

    /** Homepage. */
    public static final String URL = "http://cadmium.x9c.fr";

    /** Supported OCaml version. */
    public static final String OCAML_VERSION = "3.11.1";

    /**
     * No instance of this class.
     */
    private Infos() {
    } // end empty constructor

} // end class 'Infos'
