/*
 * This file is part of Cadmium.
 * Copyright (C) 2007-2009 Xavier Clerc.
 *
 * Cadmium is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Cadmium is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package fr.x9c.cadmium.primitives.graph;

import fr.x9c.cadmium.kernel.Custom;

/**
 * This class defines operations for custom type "_image".
 *
 * @author <a href="mailto:cadmium@x9c.fr">Xavier Clerc</a>
 * @version 1.0
 * @since 1.0
 */
public final class CustomImage extends Custom.AbstractOperations {

    /** Custom operations for "_image". */
    public static final Custom.Operations OPS = new CustomImage();

    /** Size of "_image" instances. */
    public static final int SIZE = 16;

    /**
     * Only one instance of this class.
     */
    private CustomImage() {
        super("_image", false, false, false);
    } // end empty constructor

} // end class 'CustomImage'
